org.apache.cassandra.cql3.statements

## Class ColumnGroupMap

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ColumnGroupMap

-     public class ColumnGroupMap
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnGroupMap.Builder`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Pair<java.nio.ByteBuffer,IColumn>>` | `getCollection(java.nio.ByteBuffer key)`
    `java.nio.ByteBuffer` | `getKeyComponent(int pos)`
    `IColumn` | `getSimple(java.nio.ByteBuffer key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getKeyComponent

          public java.nio.ByteBuffer getKeyComponent(int pos)

    - #### getSimple

          public IColumn getSimple(java.nio.ByteBuffer key)

    - #### getCollection

          public java.util.List<Pair<java.nio.ByteBuffer,IColumn>> getCollection(java.nio.ByteBuffer key)

Copyright © 2014 The Apache Software Foundation